Bug 603806 - [Emulex 5.6 bug] Update lpfc driver to version 8.2.0.77
[Emulex 5.6 bug] Update lpfc driver to version 8.2.0.77
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity high
: rc
: 5.6
Assigned To: Rob Evers
Storage QE
: FutureFeature, OtherQA, ZStream
: 568288 (view as bug list)
Depends On:
Blocks: 547220 557597 658379
  Show dependency treegraph
 
Reported: 2010-06-14 11:42 EDT by Vaios Papadimitriou
Modified: 2011-01-13 16:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:37:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update Emulex LPFC driver to 8.2.0.77 (applies on top of 8.2.0.76.1p) (40.93 KB, application/octet-stream)
2010-06-14 11:42 EDT, Vaios Papadimitriou
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Vaios Papadimitriou 2010-06-14 11:42:59 EDT
Created attachment 423877 [details]
Patch to update Emulex LPFC driver to 8.2.0.77 (applies on top of 8.2.0.76.1p)

Patch to update Emulex lpfc driver to 8.2.0.77 (applies on top of
8.2.0.76.1p, see Bug 591674).

This patch addresses bug fixes.

These are the changes included in this patch:
* Changed version number to 8.2.0.77
* Fix lpfc_io_slot_reset_s4 for SLES10 and older RHEL kernels
* Fix LPFC_READ_REV mailbox command for BE
* Added driver Advanced Error Reporting (AER) support for SLI4 devices
* Fixed FCF discovery failure after swapping FCoE port (CR 102947)
* Fix RPI leak after a VFC shut/noshut storm (CR 102507)
* Allow enabling MSI-X interrupt with fewer vectors than requested on SLI4 
  device
* Prevent point to point discovery on a FCoE UCNA (CR 102844)
* Prevent unregistring of unused FCF when FLOGI is pending (CR 102642)
* Restrict scsi buffer allocation (CR 102643)
* Fixed accounting of allocated SCSI buffers when post sgl fail (CR 102644)
* Break up large DMA segments for SLI4

The corresponding upstream LPFC driver patchset was submitted upstream on
6/8/10:

[PATCH 0/4] lpfc 8.3.14: Update lpfc to revision 8.3.14

This patch set updates the lpfc driver to revision 8.3.14

The patches for 8.3.14 contain:
- PCI fixes and enhancements
- FCoE Discovery Fixes
- SCSI and SLI API fixes
- Update Driver version to 8.3.14

The bugfixes were cut against scsi-misc-2.6 w/ the 8.3.13 lpfc patches (posted yesterday) applied

-- james s

  Signed-off-by: Alex Iannicelli <alex.iannicelli@emulex.com>
  Signed-off-by: James Smart <james.smart@emulex.com>
Comment 1 laurie barry 2010-06-14 12:01:37 EDT
Just to be clear, 8.2.0.77 is not a DUP candidate.  8.2.0.76.1p is the DUP candidate. .77 is a superset of the requested DUP driver.
Comment 4 RHEL Product and Program Management 2010-08-27 14:30:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jarod Wilson 2010-09-03 15:05:58 EDT
in kernel-2.6.18-215.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 8 Rob Evers 2010-09-09 09:41:32 EDT
*** Bug 568288 has been marked as a duplicate of this bug. ***
Comment 9 Chris Ward 2010-11-09 08:30:30 EST
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).
Comment 10 Andrius Benokraitis 2010-11-16 11:01:39 EST
*** Bug 640225 has been marked as a duplicate of this bug. ***
Comment 14 Chris Ward 2010-12-02 10:25:31 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 16 errata-xmlrpc 2011-01-13 16:37:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.